# A RubyGem for creating mailing, shipping, address, barcode and other labels and rendering as PDF's.
#
# Author::    Aaron Wright  (mailto:acwrightdesign@gmail.com)
# Copyright:: Copyright (c) 2012 Infinite Token LLC
# License::  MIT License

require 'labels/version'
require 'labels/xml/parser'

module Labels
  
  # This is a helper class for Labels library.
  class << self
    
    # Opens a new XML file at given path and parses and returns a Labels::Document instance
    def open(path)
      unless path.nil?
        Labels::XML::Parser.parse(IO.read(path)) if File.exist? path
      end
    end
    
    # Parses the given XML string and returns a Labels::Document instance
    def parse(xml)
      Labels::XML::Parser.parse(xml)
    end
  end
end