# A RubyGem for creating mailing, shipping, address, barcode and other labels and rendering as PDF's.
#
# Author::    Aaron Wright  (mailto:acwrightdesign@gmail.com)
# Copyright:: Copyright (c) 2012 Infinite Token LLC
# License::  MIT License

require 'labels/layer'

require 'barcodes'

module Labels
  
  # This class represents barcode layers.
  # For available symbologies and option descriptions
  # see the Barcodes RubyGem library.
  class Barcode < Layer
    
    # Symbology
    attr_accessor :symbology
    
    # Bar width in mils
    attr_accessor :bar_width
    
    # Bar height in mils
    attr_accessor :bar_height
    
    # Color in hex
    attr_accessor :color
    
    # Caption height in mils
    attr_accessor :caption_height
    
    # Caption font size in mils
    attr_accessor :caption_size
    
    # Whether or not to print caption
    attr_accessor :captioned
  end
end