# A RubyGem for creating mailing, shipping, address, barcode and other labels and rendering as PDF's.
#
# Author::    Aaron Wright  (mailto:acwrightdesign@gmail.com)
# Copyright:: Copyright (c) 2012 Infinite Token LLC
# License::  MIT License

module Labels
  
  # This class is a base class for all document content types
  class Element
    
    # Creates a new Labels::Element instance with given arguments
    def initialize(args=nil)
      unless args.nil?
        args.each do |k,v|
          instance_variable_set("@#{k}", v) unless v.nil?
        end
      end
    end
    
    # Converts instance variables to hash
    def to_h
      hash = {}
      self.instance_variables.each {|var| hash[var.to_s.delete("@").to_sym] = self.instance_variable_get(var) }
      hash
    end
    alias_method :to_hash, :to_h
  end
end