# A RubyGem for creating mailing, shipping, address, barcode and other labels and rendering as PDF's.
#
# Author::    Aaron Wright  (mailto:acwrightdesign@gmail.com)
# Copyright:: Copyright (c) 2012 Infinite Token LLC
# License::  MIT License

require 'prawn'

require 'labels/layer'

module Labels
  
  # This class represents the base class for all layer types.
  class Layer < Element
    
    # Title of layer
    attr_accessor :title
    
    # Type of layer
    attr_accessor :type
    
    # Column from data set to use as replacement content
    attr_accessor :column
    
    # Whether or not layer is locked
    attr_accessor :locked
    
    # Whether or not layer is visible
    attr_accessor :visible
    
    # X position of layer in pixels
    attr_accessor :x
    
    # Y position of layer in pixels
    attr_accessor :y
    
    # Z position of layer in pixels
    attr_accessor :z
    
    # Width of layer in pixels
    attr_accessor :width
    
    # Height of layer in pixels
    attr_accessor :height
    
    # Alpha (transparency) of layer 
    attr_accessor :alpha
    
    # Rotation of layer in degrees
    attr_accessor :rotation
    
    # Data content of layer
    attr_accessor :content
  end
end