# A RubyGem for creating mailing, shipping, address, barcode and other labels and rendering as PDF's.
#
# Author::    Aaron Wright  (mailto:acwrightdesign@gmail.com)
# Copyright:: Copyright (c) 2012 Infinite Token LLC
# License::  MIT License

require 'labels/element'

module Labels
  
  # This class represents paper types and dimensions.
  class Paper < Element
    LETTER = {:title => 'Letter', :width => 612, :height => 792}
    LEGAL = {:title => 'Legal', :width => 612, :height => 1008}
    LEDGER = {:title => 'Ledger', :width => 792, :height => 1224}
    A5 = {:title => 'A5', :width => 420, :height => 595}
    A4 = {:title => 'A4', :width => 595, :height => 842}
    A3 = {:title => 'A3', :width => 842, :height => 1191}
    
    # Title of paper type
    attr_accessor :title
    
    # Width of paper in pixels
    attr_accessor :width
    
    # Height of paper in pixels
    attr_accessor :height
  end
end