# A RubyGem for creating mailing, shipping, address, barcode and other labels and rendering as PDF's.
#
# Author::    Aaron Wright  (mailto:acwrightdesign@gmail.com)
# Copyright:: Copyright (c) 2012 Infinite Token LLC
# License::  MIT License

require 'labels/layer'

module Labels
  
  # This class represents shape layers.
  class Shape < Layer
    
    # Whether or not the shape is elliptical
    attr_accessor :elliptical
    
    # Corner radius in pixels
    attr_accessor :corner_radius
    
    # Whether or not to fill the shape
    attr_accessor :fill
    
    # Whether or not to stroke the shape
    attr_accessor :stroke
    
    # Fill color in hex
    attr_accessor :fill_color
    
    # Stroke color in hex
    attr_accessor :stroke_color
    
    # Stroke weight in pixels
    attr_accessor :stroke_weight
  end
end