# A RubyGem for creating mailing, shipping, address, barcode and other labels and rendering as PDF's.
#
# Author::    Aaron Wright  (mailto:acwrightdesign@gmail.com)
# Copyright:: Copyright (c) 2012 Infinite Token LLC
# License::  MIT License

require 'prawn'

require 'labels/element'

module Labels
  
  # This class represents template types and properties
  class Template < Element
    DEFAULT = {:title => 'Default', :description => 'Default template', :manufacturer => 'none', :category => 'Default', :visible => false, :width => 288, :height => 144, :columns => 2, :rows => 5, :left_margin => 13, :right_margin => 13, :top_margin => 36, :bottom_margin => 36, :horizontal_gutter => 0, :vertical_gutter => 10, :elliptical => false, :corner_radius => 18}
    
    # Title of template
    attr_accessor :title
    
    # Description of template
    attr_accessor :description
    
    # Manufacturer of template
    attr_accessor :manufacturer
    
    # Category of template
    attr_accessor :category
    
    # Whether or not the template is visible when printed
    attr_accessor :visible
    
    # Width of template canvas area in pixels
    attr_accessor :width
    
    # Height of template canvas area in pixels
    attr_accessor :height
    
    # Number of columns in template
    attr_accessor :columns
    
    # Number of rows in template
    attr_accessor :rows
    
    # Left margin of template in pixels
    attr_accessor :left_margin
    
    # Right margin of template in pixels
    attr_accessor :right_margin
    
    # Top margin of template in pixels
    attr_accessor :top_margin
    
    # Bottom margin of template in pixels
    attr_accessor :bottom_margin
    
    # Horizontal gutter of template in pixels
    attr_accessor :horizontal_gutter
    
    # Vertical gutter of template in pixels
    attr_accessor :vertical_gutter
    
    # Whether or not the template canvas area is elliptical
    attr_accessor :elliptical
    
    # Corner radius of template canvas area in pixels
    attr_accessor :corner_radius
  end
end